<?php

define('TASK_DRAFT', 0);
define('TASK_NEEDS_CLARIFICATION', 100);
define('TASK_NEEDS_QUOTE', 200);
define('TASK_NEEDS_GO_AHEAD', 300);
define('TASK_ON_HOLD', 350);
define('TASK_QUEUED', 400);
define('TASK_WORKING', 500);
define('TASK_BUG', 600);
define('TASK_NEEDS_TESTING', 700);
define('TASK_FINISHED', 800);

#	switch($state) {
#		case TASK_DRAFT:
#		case TASK_NEEDS_CLARIFICATION:
#		case TASK_NEEDS_QUOTE:
#		case TASK_NEEDS_GO_AHEAD:
#		case TASK_QUEUED:
#		case TASK_WORKING:
#		case TASK_BUG:
#		case TASK_NEEDS_TESTING:
#		case TASK_FINISHED:
#	}

# return true if $state is one where the client must act next
function needs_client_attention($state) {
	switch($state) {
		case TASK_DRAFT:
		case TASK_NEEDS_CLARIFICATION:
		case TASK_NEEDS_GO_AHEAD:
		case TASK_NEEDS_TESTING:
			return true;
		default:
			return false;
	}
}

function task_state_pretty($state) {
	switch($state) {
		case TASK_DRAFT:
			return "draft";
		case TASK_NEEDS_CLARIFICATION:
			return "needs clarification";
		case TASK_NEEDS_QUOTE:
			return "to be priced";
		case TASK_NEEDS_GO_AHEAD:
			return "waiting for you to approve the price";
		case TASK_ON_HOLD:
			return "on hold";
		case TASK_QUEUED:
			return "queued";
		case TASK_WORKING:
			return "work in progress";
		case TASK_BUG:
			return "to be investigated";
		case TASK_NEEDS_TESTING:
			return "needs testing";
		case TASK_FINISHED:
			return "finished";
		default:
			return "unknown state #$state";
	}
}
